# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-11 00:30
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython


def create_builtin_message_templates(apps, schema_editor):
    template_model = apps.get_model('sommelier_bot', 'TelegramMessageTemplate')
    templates = [
        {
            'name': 'Приветствие',
            'code': 'START',
        },
        {
            'name': 'Неизвестный пользователь',
            'code': 'UNRECOGNIZED_USER',
        },
        {
            'name': 'Уведомление в канал',
            'code': 'MESSAGE_TO_CHAT',
        },
        {
            'name': 'Уведомление конкретному сомелье',
            'code': 'MESSAGE_TO_PERSON',
        }
    ]
    for template in templates:
        try:
            template_model.objects.get(code=template)
        except template_model.DoesNotExist:
            template_model.objects.create(
                name=template['name'],
                code=template['code']
            )


class Migration(migrations.Migration):
    dependencies = [
        ('sommelier_bot', '0001_initial'),
    ]

    operations = [
        RunPython(create_builtin_message_templates)
    ]
